from bpy import utils
from bpy.props import CollectionProperty, IntProperty
from bpy.types import Scene, Material

# from .properties import MaterialContainer


from .operators import (
    COLORBOX_MATERIALMIXER_OT_CreateNewMaterial,
    COLORBOX_MATERIALMIXER_OT_RemoveNewMaterial,
    COLORBOX_MATERIALMIXER_OT_ClearMaterials,
    COLORBOX_MATERIALMIXER_OT_ApplyMaterials,

)
from .ui import (
    MATERIAL_UL_material_mixer,
    VIEW_3D_PT_MaterialMixerPanel,
    VIEW_3D_PT_MaterialMixerPreview,
    VIEW_3D_PT_MaterialMixerEditMaterial,
)

to_register = [
    # Operators
    COLORBOX_MATERIALMIXER_OT_CreateNewMaterial,
    COLORBOX_MATERIALMIXER_OT_RemoveNewMaterial,
    COLORBOX_MATERIALMIXER_OT_ClearMaterials,
    COLORBOX_MATERIALMIXER_OT_ApplyMaterials,
    # UI
    VIEW_3D_PT_MaterialMixerPanel,
    MATERIAL_UL_material_mixer,
    VIEW_3D_PT_MaterialMixerPreview,
    VIEW_3D_PT_MaterialMixerEditMaterial,
]


def register():
    for curr_class in to_register:
        utils.register_class(curr_class)

    Scene.color_box_material_mixer_active = IntProperty(default=0)
    Material.color_box_material_mixer_weight = IntProperty(
        name="Material Mixer Weight",
        description="How often should this material be applied among objects. \
If the weight is 0, the material will never be applied",
        default=50,
        min=0,
        max=100,
        step=10
    )


def unregister():
    for curr_class in reversed(to_register):
        utils.unregister_class(curr_class)

    del Scene.color_box_material_mixer_active
    del Material.color_box_material_mixer_weight
