
if "bpy" not in locals():
    import bpy
    from . import color_scheme
else:
    import importlib
    importlib.reload(color_scheme)

from .collection import (
    COLORBOX_OT_collection_add,
    COLORBOX_OT_collection_remove,
    COLORBOX_OT_collection_show,
    COLORBOX_OT_collection_reverse,
    COLORBOX_OT_collection_duplicate,
)
from .color_ramps import (
    COLORBOX_OT_color_ramp_save,
    COLORBOX_OT_color_ramp_load,
    COLORBOX_OT_color_ramp_remove,
    COLORBOX_OT_color_ramp_add,
    COLORBOX_OT_color_ramp_duplicate,
    COLORBOX_OT_color_ramp_convert_to_palette,
)
from .palettes import (
    COLORBOX_OT_add_row,
    COLORBOX_OT_remove_row,
    COLORBOX_OT_add_color,
    COLORBOX_OT_remove_color,
    COLORBOX_OT_create_nodes,
    COLORBOX_OT_next_palette_page,
    COLORBOX_OT_previous_palette_page,
    COLORBOX_OT_load_json,
    COLORBOX_OT_save_json,
    COLORBOX_OT_import_blender_palettes,
    COLORBOX_OT_reverse_colors,
    COLORBOX_OT_apply_gamma,
    COLORBOX_OT_apply_inverse_gamma,
    COLORBOX_OT_copy_color_row,
    COLORBOX_OT_sort_by_hue,
    COLORBOX_OT_add_to_color_ramp,
    COLORBOX_OT_average_color_rgb,
    COLORBOX_OT_average_color_hsv,
    COLORBOX_OT_print_colors,
    COLORBOX_OT_palette_to_swapper,
)
from .menus import (
    COLORBOX_OT_show_menu,
    PANEL_PT_MoreOptions,
)
from .color_picker import COLORBOX_OT_modal_color_picker
from .images import (
    COLORBOX_OT_export_png,
    COLORBOX_OT_export_png_collection,
    COLORBOX_OT_extract_from_image,
    COLORBOX_OT_extract_from_palette,
)
from .color_swapper import (
    COLORBOX_OT_add_to_color_swapper,
    WM_MT_button_context,
    COLORBOX_OT_swap_collection_add,
    COLORBOX_OT_clear_all_swappers,
    COLORBOX_OT_swap_collection_add_multiple,
    COLORBOX_OT_swap_collection_delete,
    COLORBOX_OT_swap_color_pointer_delete,
    COLORBOX_OT_swap_colorbox_navigation,
    COLORBOX_OT_swap_apply_palette,
    COLORBOX_OT_swap_shuffle,
    COLORBOX_OT_create_swapper_nodes,
)
